<?php

namespace app\admin\service\goods;

class GoodsSkuService
{
    public static function getSkuTitle($json)
    {
        if (is_json($json)) {
            $json = json_decode($json, true);
        }

        $skuName = '';
        foreach ($json as $specsKey => $skuSpecs) {
            if (is_array($skuSpecs)) {
                $skuName = $skuName . ' ' . implode(' ', $skuSpecs) . ';';
            } else {
                $skuName = $skuName . ' ' . $skuSpecs . ';';
            }
        }
        return rtrim($skuName, ';');
    }

}